diff -urN golded+cvs20090710-src.orig/golded3/gccfgg.cpp golded+cvs20090710-src.patched/golded3/gccfgg.cpp
--- golded+cvs20090710-src.orig/golded3/gccfgg.cpp	2010-05-18 04:49:20.000000000 +0000
+++ golded+cvs20090710-src.patched/golded3/gccfgg.cpp	2010-05-18 04:50:14.000000000 +0000
@@ -688,8 +688,11 @@
   *searchurlfor = 0;
   strcpy(stylecodepunct, " !?\"$%&()+,.:;<=>@[\\]^`{|}~\n\r\t");
   *stylecodestops = 0;
-  gsprintf(PRINTF_DECLARE_BUFFER(tasktitle), "%s%s%s%s", __gver_prename__,
-    __gver_name__, __gver_postname__, __gver_platform__);
+  gsprintf(PRINTF_DECLARE_BUFFER(tasktitle),
+            "%s%s%s%s %s%i.%i.%i%s",
+            __gver_prename__, __gver_name__, __gver_postname__,
+            __gver_platform__, __gver_preversion__, __gver_major__,
+            __gver_minor__, __gver_release__, __gver_postversion__);
   strcpy(tearline, "@longpid @version");
   strcpy(whoto, "All");
   strcpy(xlatlocalset, get_charset());
diff -urN golded+cvs20090710-src.orig/goldlib/gall/gutlunix.cpp golded+cvs20090710-src.patched/goldlib/gall/gutlunix.cpp
--- golded+cvs20090710-src.orig/goldlib/gall/gutlunix.cpp	2005-10-17 15:10:33.000000000 +0000
+++ golded+cvs20090710-src.patched/goldlib/gall/gutlunix.cpp	2010-05-18 04:51:38.000000000 +0000
@@ -32,6 +32,8 @@
 #include <gmemi86.h>
 #include <gfilutil.h>
 
+char          ge_unix_title[GMAXTITLE+1] = "";
+int           ge_unix_ext_title;
 
 //  ------------------------------------------------------------------
 //  Midnight Commander's clipboard support
@@ -61,7 +63,8 @@
 
 void g_init_title(char *tasktitle, int titlestatus) {
 
-  NW(tasktitle); NW(titlestatus);
+  strxcpy(ge_unix_title, tasktitle, GMAXTITLE);
+  ge_unix_ext_title = titlestatus;
 }
 
 
@@ -75,9 +78,9 @@
 
 //  ------------------------------------------------------------------
 
-void g_set_ostitle(char* title, word dx) {
+void g_set_ostitle(char* title) {
 
-  NW(dx); NW(title);
+  printf("\033]2;%s\007",title);
 }
 
 
@@ -162,7 +165,21 @@
 
 void g_set_ostitle_name(char* title, int mode) {
 
-  NW(title); NW(mode);
+  if(mode == 0) {
+    char fulltitle[GMAXTITLE+1];
+    strcpy(fulltitle, ge_unix_title);
+    if(ge_unix_ext_title) {
+      int len = strlen(fulltitle);
+      if(len < GMAXTITLE-3) {
+        if(len)
+          strcat(fulltitle, " - ");
+        strxcpy(fulltitle+len+3, title, GMAXTITLE-len-3);
+      }
+    }
+    g_set_ostitle(fulltitle);
+  }
+  else
+    g_set_ostitle(title);
 }
 
 
